HALLOWEEN
 2310.553055
Zyxel GS1900-10HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black - Switches - Network Devices - Techbox
Zyxel GS1900-10HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
150.39 €

Zyxel GS1900-10HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

AC-258Y92
This product alone gets you free shipping
+ −
Add to Wishlist
Availabilities

In Stock

7 - 10 Working Days

Available Soon

Pre-Order

Out of Stock

Shipping/Pick-up Methods
Payment Methods
Short description

The Zyxel GS1900-10HP Managed L2 Gigabit Ethernet switch in sleek black delivers robust network performance with Power over Ethernet (PoE) capabilities, making it an essential component for modern network infrastructures. This device is engineered to provide reliable connectivity and efficient power delivery to your network devices.

Key Features & Benefits

  • Managed L2 Gigabit Ethernet: Experience advanced network control and high-speed data transfer with full Gigabit Ethernet support across all ports.
  • Power over Ethernet (PoE): Simplify your deployments by powering compatible devices like IP cameras and wireless access points directly through the Ethernet cable.
  • Robust Compliance: Adheres to industry standards including CE, FCC, RCM, and various RFCs, ensuring broad compatibility and reliable operation.

Who It's For

This switch is ideal for small to medium-sized businesses and home office users seeking a powerful, manageable, and energy-efficient networking solution. It's perfect for those needing to deploy PoE-powered devices without additional power outlets.

Upgrade your network with the Zyxel GS1900-10HP and experience seamless connectivity and simplified power management today.

Specifications
Additional Info
CE, FCC, RCM, Class A, BSMI CNS 13438, LVD EN 62368-1, BSMI CNS 14336-1<br/>RFC 1213 MIB II, RFC 2819 RMON (group 1, 2, 3, 9), RFC 1215 generic traps, RFC 1493 bridge
Color
 Black
EAN
4718937621200
MPN
GS1900-10HP-EU0102F
Manufacturer
Zyxel
Warranty (Months)
No warranty
Specification notes
Specifications are provided by the manufacturer and may change without notice. If a particular detail is critical to your choice, please also confirm it on the manufacturer's official product page
Price Alerts
As soon as the price of the products decreases, you will immediately know about it.
Keep track of price reductions

The price has not changed yet. We will show it on this chart once it changes

Reviews

No reviews found

  • Recently Viewed
 
FAST SHIPPING WORLDWIDE!

Choose the courier that suits you best. We deliver everything – from collectibles to gadgets – safely to your doorstep.

TECHBOX QUALITY GUARANTEE

We only select what we would buy ourselves. 100% authentic products and reliability in every item you see.

14-DAY EASY RETURNS

Not quite what you were looking for? If the product is intact, returning it is quick and simple. Easy peasy!